{
  lib,
  pkgs,
  flatpakPackages ? [],
  flatpakRemotes ? [],
  ...
}: {
  services.flatpak = {
    enable = true;
    remotes =
      if flatpakRemotes == []
      then [
        {
          name = "flathub";
          location = "https://dl.flathub.org/repo/flathub.flatpakrepo";
        }
      ]
      else flatpakRemotes;
    # packages = [
    #   "com.github.tchx84.Flatseal"
    #   "com.slack.Slack"
    #   "info.beyondallreason.bar"
    #   "io.dbeaver.DBeaverCommunity"
    #   "io.openrct2.OpenRCT2"
    #   "md.obsidian.Obsidian"
    #   "org.prismlauncher.PrismLauncher"
    #   "sh.cider.Cider"
    # ];
    packages = flatpakPackages;
    update = {
      auto = {
        enable = true;
        onCalendar = "weekly";
      };
    };
  };
}
